package Java::JVM::Classfile::Ops;

require Exporter;
@ISA = qw(Exporter);
@EXPORT_OK = qw(%ops);

# Here begins autogenerated stuff
use constant T_BOOLEAN => 4;
use constant T_CHAR    => 5;
use constant T_FLOAT   => 6;
use constant T_DOUBLE  => 7;
use constant T_BYTE    => 8;
use constant T_SHORT   => 9;
use constant T_INT     => 10;
use constant T_LONG    => 11;
use constant T_VOID      => 12;
use constant T_ARRAY     => 13;
use constant T_OBJECT    => 14;
use constant T_REFERENCE => 14;
use constant T_UNKNOWN   => 15;
use constant T_ADDRESS   => 16;

%ops = (
  0 => {
             name => 'nop',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 0,
  },
  1 => {
             name => 'aconst_null',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 1,
  },
  2 => {
             name => 'iconst_m1',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 1,
  },
  3 => {
             name => 'iconst_0',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 1,
  },
  4 => {
             name => 'iconst_1',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 1,
  },
  5 => {
             name => 'iconst_2',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 1,
  },
  6 => {
             name => 'iconst_3',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 1,
  },
  7 => {
             name => 'iconst_4',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 1,
  },
  8 => {
             name => 'iconst_5',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 1,
  },
  9 => {
             name => 'lconst_0',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 2,
  },
  10 => {
             name => 'lconst_1',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 2,
  },
  11 => {
             name => 'fconst_0',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 1,
  },
  12 => {
             name => 'fconst_1',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 1,
  },
  13 => {
             name => 'fconst_2',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 1,
  },
  14 => {
             name => 'dconst_0',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 2,
  },
  15 => {
             name => 'dconst_1',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 2,
  },
  16 => {
             name => 'bipush',
         operands => 1,
    operand_types => [T_BYTE],
         consumed => 0,
         produced => 1,
  },
  17 => {
             name => 'sipush',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 0,
         produced => 1,
  },
  18 => {
             name => 'ldc',
         operands => 1,
    operand_types => [T_BYTE],
         consumed => 0,
         produced => 1,
  },
  19 => {
             name => 'ldc_w',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 0,
         produced => 1,
  },
  20 => {
             name => 'ldc2_w',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 0,
         produced => 2,
  },
  21 => {
             name => 'iload',
         operands => 1,
    operand_types => [T_BYTE],
         consumed => 0,
         produced => 1,
  },
  22 => {
             name => 'lload',
         operands => 1,
    operand_types => [T_BYTE],
         consumed => 0,
         produced => 2,
  },
  23 => {
             name => 'fload',
         operands => 1,
    operand_types => [T_BYTE],
         consumed => 0,
         produced => 1,
  },
  24 => {
             name => 'dload',
         operands => 1,
    operand_types => [T_BYTE],
         consumed => 0,
         produced => 2,
  },
  25 => {
             name => 'aload',
         operands => 1,
    operand_types => [T_BYTE],
         consumed => 0,
         produced => 1,
  },
  26 => {
             name => 'iload_0',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 1,
  },
  27 => {
             name => 'iload_1',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 1,
  },
  28 => {
             name => 'iload_2',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 1,
  },
  29 => {
             name => 'iload_3',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 1,
  },
  30 => {
             name => 'lload_0',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 2,
  },
  31 => {
             name => 'lload_1',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 2,
  },
  32 => {
             name => 'lload_2',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 2,
  },
  33 => {
             name => 'lload_3',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 2,
  },
  34 => {
             name => 'fload_0',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 1,
  },
  35 => {
             name => 'fload_1',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 1,
  },
  36 => {
             name => 'fload_2',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 1,
  },
  37 => {
             name => 'fload_3',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 1,
  },
  38 => {
             name => 'dload_0',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 2,
  },
  39 => {
             name => 'dload_1',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 2,
  },
  40 => {
             name => 'dload_2',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 2,
  },
  41 => {
             name => 'dload_3',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 2,
  },
  42 => {
             name => 'aload_0',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 1,
  },
  43 => {
             name => 'aload_1',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 1,
  },
  44 => {
             name => 'aload_2',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 1,
  },
  45 => {
             name => 'aload_3',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 1,
  },
  46 => {
             name => 'iaload',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  47 => {
             name => 'laload',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 2,
  },
  48 => {
             name => 'faload',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  49 => {
             name => 'daload',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 2,
  },
  50 => {
             name => 'aaload',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  51 => {
             name => 'baload',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  52 => {
             name => 'caload',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  53 => {
             name => 'saload',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  54 => {
             name => 'istore',
         operands => 1,
    operand_types => [T_BYTE],
         consumed => 1,
         produced => 0,
  },
  55 => {
             name => 'lstore',
         operands => 1,
    operand_types => [T_BYTE],
         consumed => 2,
         produced => 0,
  },
  56 => {
             name => 'fstore',
         operands => 1,
    operand_types => [T_BYTE],
         consumed => 1,
         produced => 0,
  },
  57 => {
             name => 'dstore',
         operands => 1,
    operand_types => [T_BYTE],
         consumed => 2,
         produced => 0,
  },
  58 => {
             name => 'astore',
         operands => 1,
    operand_types => [T_BYTE],
         consumed => 1,
         produced => 0,
  },
  59 => {
             name => 'istore_0',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 0,
  },
  60 => {
             name => 'istore_1',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 0,
  },
  61 => {
             name => 'istore_2',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 0,
  },
  62 => {
             name => 'istore_3',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 0,
  },
  63 => {
             name => 'lstore_0',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 0,
  },
  64 => {
             name => 'lstore_1',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 0,
  },
  65 => {
             name => 'lstore_2',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 0,
  },
  66 => {
             name => 'lstore_3',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 0,
  },
  67 => {
             name => 'fstore_0',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 0,
  },
  68 => {
             name => 'fstore_1',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 0,
  },
  69 => {
             name => 'fstore_2',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 0,
  },
  70 => {
             name => 'fstore_3',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 0,
  },
  71 => {
             name => 'dstore_0',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 0,
  },
  72 => {
             name => 'dstore_1',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 0,
  },
  73 => {
             name => 'dstore_2',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 0,
  },
  74 => {
             name => 'dstore_3',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 0,
  },
  75 => {
             name => 'astore_0',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 0,
  },
  76 => {
             name => 'astore_1',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 0,
  },
  77 => {
             name => 'astore_2',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 0,
  },
  78 => {
             name => 'astore_3',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 0,
  },
  79 => {
             name => 'iastore',
         operands => 0,
    operand_types => [],
         consumed => 3,
         produced => 0,
  },
  80 => {
             name => 'lastore',
         operands => 0,
    operand_types => [],
         consumed => 4,
         produced => 0,
  },
  81 => {
             name => 'fastore',
         operands => 0,
    operand_types => [],
         consumed => 3,
         produced => 0,
  },
  82 => {
             name => 'dastore',
         operands => 0,
    operand_types => [],
         consumed => 4,
         produced => 0,
  },
  83 => {
             name => 'aastore',
         operands => 0,
    operand_types => [],
         consumed => 3,
         produced => 0,
  },
  84 => {
             name => 'bastore',
         operands => 0,
    operand_types => [],
         consumed => 3,
         produced => 0,
  },
  85 => {
             name => 'castore',
         operands => 0,
    operand_types => [],
         consumed => 3,
         produced => 0,
  },
  86 => {
             name => 'sastore',
         operands => 0,
    operand_types => [],
         consumed => 3,
         produced => 0,
  },
  87 => {
             name => 'pop',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 0,
  },
  88 => {
             name => 'pop2',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 0,
  },
  89 => {
             name => 'dup',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 2,
  },
  90 => {
             name => 'dup_x1',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 3,
  },
  91 => {
             name => 'dup_x2',
         operands => 0,
    operand_types => [],
         consumed => 3,
         produced => 4,
  },
  92 => {
             name => 'dup2',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 4,
  },
  93 => {
             name => 'dup2_x1',
         operands => 0,
    operand_types => [],
         consumed => 3,
         produced => 5,
  },
  94 => {
             name => 'dup2_x2',
         operands => 0,
    operand_types => [],
         consumed => 4,
         produced => 6,
  },
  95 => {
             name => 'swap',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 2,
  },
  96 => {
             name => 'iadd',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  97 => {
             name => 'ladd',
         operands => 0,
    operand_types => [],
         consumed => 4,
         produced => 2,
  },
  98 => {
             name => 'fadd',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  99 => {
             name => 'dadd',
         operands => 0,
    operand_types => [],
         consumed => 4,
         produced => 2,
  },
  100 => {
             name => 'isub',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  101 => {
             name => 'lsub',
         operands => 0,
    operand_types => [],
         consumed => 4,
         produced => 2,
  },
  102 => {
             name => 'fsub',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  103 => {
             name => 'dsub',
         operands => 0,
    operand_types => [],
         consumed => 4,
         produced => 2,
  },
  104 => {
             name => 'imul',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  105 => {
             name => 'lmul',
         operands => 0,
    operand_types => [],
         consumed => 4,
         produced => 2,
  },
  106 => {
             name => 'fmul',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  107 => {
             name => 'dmul',
         operands => 0,
    operand_types => [],
         consumed => 4,
         produced => 2,
  },
  108 => {
             name => 'idiv',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  109 => {
             name => 'ldiv',
         operands => 0,
    operand_types => [],
         consumed => 4,
         produced => 2,
  },
  110 => {
             name => 'fdiv',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  111 => {
             name => 'ddiv',
         operands => 0,
    operand_types => [],
         consumed => 4,
         produced => 2,
  },
  112 => {
             name => 'irem',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  113 => {
             name => 'lrem',
         operands => 0,
    operand_types => [],
         consumed => 4,
         produced => 2,
  },
  114 => {
             name => 'frem',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  115 => {
             name => 'drem',
         operands => 0,
    operand_types => [],
         consumed => 4,
         produced => 2,
  },
  116 => {
             name => 'ineg',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 1,
  },
  117 => {
             name => 'lneg',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 2,
  },
  118 => {
             name => 'fneg',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 1,
  },
  119 => {
             name => 'dneg',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 2,
  },
  120 => {
             name => 'ishl',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  121 => {
             name => 'lshl',
         operands => 0,
    operand_types => [],
         consumed => 3,
         produced => 2,
  },
  122 => {
             name => 'ishr',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  123 => {
             name => 'lshr',
         operands => 0,
    operand_types => [],
         consumed => 3,
         produced => 2,
  },
  124 => {
             name => 'iushr',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  125 => {
             name => 'lushr',
         operands => 0,
    operand_types => [],
         consumed => 3,
         produced => 2,
  },
  126 => {
             name => 'iand',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  127 => {
             name => 'land',
         operands => 0,
    operand_types => [],
         consumed => 4,
         produced => 2,
  },
  128 => {
             name => 'ior',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  129 => {
             name => 'lor',
         operands => 0,
    operand_types => [],
         consumed => 4,
         produced => 2,
  },
  130 => {
             name => 'ixor',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  131 => {
             name => 'lxor',
         operands => 0,
    operand_types => [],
         consumed => 4,
         produced => 2,
  },
  132 => {
             name => 'iinc',
         operands => 2,
    operand_types => [T_BYTE, T_BYTE],
         consumed => 0,
         produced => 0,
  },
  133 => {
             name => 'i2l',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 2,
  },
  134 => {
             name => 'i2f',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 1,
  },
  135 => {
             name => 'i2d',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 2,
  },
  136 => {
             name => 'l2i',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  137 => {
             name => 'l2f',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  138 => {
             name => 'l2d',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 2,
  },
  139 => {
             name => 'f2i',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 1,
  },
  140 => {
             name => 'f2l',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 2,
  },
  141 => {
             name => 'f2d',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 2,
  },
  142 => {
             name => 'd2i',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  143 => {
             name => 'd2l',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 2,
  },
  144 => {
             name => 'd2f',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  145 => {
             name => 'i2b',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 1,
  },
  146 => {
             name => 'i2c',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 1,
  },
  147 => {
             name => 'i2s',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 1,
  },
  148 => {
             name => 'lcmp',
         operands => 0,
    operand_types => [],
         consumed => 4,
         produced => 1,
  },
  149 => {
             name => 'fcmpl',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  150 => {
             name => 'fcmpg',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 1,
  },
  151 => {
             name => 'dcmpl',
         operands => 0,
    operand_types => [],
         consumed => 4,
         produced => 1,
  },
  152 => {
             name => 'dcmpg',
         operands => 0,
    operand_types => [],
         consumed => 4,
         produced => 1,
  },
  153 => {
             name => 'ifeq',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 1,
         produced => 0,
  },
  154 => {
             name => 'ifne',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 1,
         produced => 0,
  },
  155 => {
             name => 'iflt',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 1,
         produced => 0,
  },
  156 => {
             name => 'ifge',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 1,
         produced => 0,
  },
  157 => {
             name => 'ifgt',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 1,
         produced => 0,
  },
  158 => {
             name => 'ifle',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 1,
         produced => 0,
  },
  159 => {
             name => 'if_icmpeq',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 2,
         produced => 0,
  },
  160 => {
             name => 'if_icmpne',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 2,
         produced => 0,
  },
  161 => {
             name => 'if_icmplt',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 2,
         produced => 0,
  },
  162 => {
             name => 'if_icmpge',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 2,
         produced => 0,
  },
  163 => {
             name => 'if_icmpgt',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 2,
         produced => 0,
  },
  164 => {
             name => 'if_icmple',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 2,
         produced => 0,
  },
  165 => {
             name => 'if_acmpeq',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 2,
         produced => 0,
  },
  166 => {
             name => 'if_acmpne',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 2,
         produced => 0,
  },
  167 => {
             name => 'goto',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 0,
         produced => 0,
  },
  168 => {
             name => 'jsr',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 0,
         produced => 1,
  },
  169 => {
             name => 'ret',
         operands => 1,
    operand_types => [T_BYTE],
         consumed => 0,
         produced => 0,
  },
  170 => {
             name => 'tableswitch',
         operands => undef,
    operand_types => [],
         consumed => 1,
         produced => 0,
  },
  171 => {
             name => 'lookupswitch',
         operands => undef,
    operand_types => [],
         consumed => 1,
         produced => 0,
  },
  172 => {
             name => 'ireturn',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 0,
  },
  173 => {
             name => 'lreturn',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 0,
  },
  174 => {
             name => 'freturn',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 0,
  },
  175 => {
             name => 'dreturn',
         operands => 0,
    operand_types => [],
         consumed => 2,
         produced => 0,
  },
  176 => {
             name => 'areturn',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 0,
  },
  177 => {
             name => 'return',
         operands => 0,
    operand_types => [],
         consumed => 0,
         produced => 0,
  },
  178 => {
             name => 'getstatic',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 0,
         produced => undef,
  },
  179 => {
             name => 'putstatic',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => undef,
         produced => 0,
  },
  180 => {
             name => 'getfield',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 1,
         produced => undef,
  },
  181 => {
             name => 'putfield',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => undef,
         produced => 0,
  },
  182 => {
             name => 'invokevirtual',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => undef,
         produced => undef,
  },
  183 => {
             name => 'invokespecial',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => undef,
         produced => undef,
  },
  184 => {
             name => 'invokestatic',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => undef,
         produced => undef,
  },
  185 => {
             name => 'invokeinterface',
         operands => 4,
    operand_types => [T_SHORT, T_BYTE, T_BYTE],
         consumed => undef,
         produced => undef,
  },
  187 => {
             name => 'new',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 0,
         produced => 1,
  },
  188 => {
             name => 'newarray',
         operands => 1,
    operand_types => [T_BYTE],
         consumed => 1,
         produced => 1,
  },
  189 => {
             name => 'anewarray',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 1,
         produced => 1,
  },
  190 => {
             name => 'arraylength',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 1,
  },
  191 => {
             name => 'athrow',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 1,
  },
  192 => {
             name => 'checkcast',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 1,
         produced => 1,
  },
  193 => {
             name => 'instanceof',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 1,
         produced => 1,
  },
  194 => {
             name => 'monitorenter',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 0,
  },
  195 => {
             name => 'monitorexit',
         operands => 0,
    operand_types => [],
         consumed => 1,
         produced => 0,
  },
  196 => {
             name => 'wide',
         operands => undef,
    operand_types => [T_BYTE],
         consumed => 0,
         produced => 0,
  },
  197 => {
             name => 'multianewarray',
         operands => 3,
    operand_types => [T_SHORT, T_BYTE],
         consumed => undef,
         produced => 1,
  },
  198 => {
             name => 'ifnull',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 1,
         produced => 0,
  },
  199 => {
             name => 'ifnonnull',
         operands => 2,
    operand_types => [T_SHORT],
         consumed => 1,
         produced => 0,
  },
  200 => {
             name => 'goto_w',
         operands => 4,
    operand_types => [T_INT],
         consumed => 0,
         produced => 0,
  },
  201 => {
             name => 'jsr_w',
         operands => 4,
    operand_types => [T_INT],
         consumed => 0,
         produced => 1,
  },
  202 => {
             name => 'breakpoint',
         operands => 0,
    operand_types => undef,
         consumed => 0,
         produced => 0,
  },
  254 => {
             name => 'impdep1',
         operands => undef,
    operand_types => undef,
         consumed => undef,
         produced => undef,
  },
  255 => {
             name => 'impdep2',
         operands => undef,
    operand_types => undef,
         consumed => undef,
         produced => undef,
  },
);
# Here ends autogenerated stuff
